#include<stdio.h>
main()
{
	long long x,y,z;
	scanf("%lli%lli%lli",&x,&y,&z);
	long long a[6],p,temp;
	p=10;
	while(z>=p)
		p*=10;
	temp=p*y+z;
	while(temp>=p)
		p*=10;
	a[0]=x*p+temp;
	p=10;
	while(y>=p)
		p*=10;
	temp=p*z+y;
	while(temp>=p)
		p*=10;
	a[1]=x*p+temp;
	p=10;
	while(z>=p)
		p*=10;
	temp=p*x+z;
	while(temp>=p)
		p*=10;
	a[2]=y*p+temp;
	p=10;
	while(x>=p)
		p*=10;
	temp=p*z+x;
	while(temp>=p)
		p*=10;
	a[3]=y*p+temp;
	p=10;
	while(x>=p)
		p*=10;
	temp=p*y+x;
	while(temp>=p)
		p*=10;
	a[4]=z*p+temp;
	p=10;
	while(y>=p)
		p*=10;
	temp=p*x+y;
	while(temp>=p)
		p*=10;
	a[5]=z*p+temp;
	
	long long max=a[0];
	for(int i=1;i<6;i++)
	{
		if(a[i]>max) max=a[i];
	}
	printf("%lli",max);
}